#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <cuda_runtime.h>
#include <math.h>
#include "definitions.h"
#include <mex.h>

//******************************************************
// extern C declarations of the kernels from wrapper.cu.  Yes you can put this in a
// header if you want.
extern "C" void kernel_add_wrapper(dim3 dimGrid, dim3 dimBlock, float *A, float *B, float *C);


class Example{
public:
	Example(int, float *, float *);
	void CudaError(const char *);
	void add();
	float * d_A, *d_B, *d_C;
	int N;
};